package com.ssm.manage.dao;

import com.github.pagehelper.PageInfo;
import com.ssm.manage.entity.RefundOrderList;
import com.ssm.manage.entity.RefundRecharge;
import com.ssm.manage.extendEntity.StoreDaily;
import com.ssm.manage.query.RefundOrderResquest;
import com.ssm.manage.query.StoreDailyRequest;
import com.ssm.manage.response.RefundDayVo;

import java.util.Date;
import java.util.List;

public interface SsmRefundOrderDao extends BaseDao<RefundOrderList> {
    PageInfo<RefundOrderList> selectPage(RefundOrderResquest refundOrderResquest);
    PageInfo<RefundOrderList> selectPageNew(RefundOrderResquest refundOrderResquest);
    PageInfo<RefundOrderList> memberPageNew(RefundOrderResquest refundOrderResquest);
    PageInfo<RefundRecharge> selectByRechargeRefund(RefundOrderResquest refundOrderResquest);
    List<RefundOrderList> refundCourseCash(RefundOrderResquest refundOrderResquest);
    PageInfo<RefundOrderList> selectPageFd(RefundOrderResquest refundOrderResquest);
    PageInfo<RefundOrderList> pageDetail(RefundOrderResquest refundOrderResquest);

    StoreDaily selectDayRecord(StoreDailyRequest storeDailyRequest);
    List<RefundOrderList> selectFKJ(RefundOrderList refundOrderResquest);
    //新查询退款
    List<StoreDaily> selectRefund(StoreDailyRequest storeDailyRequest);

    List<RefundDayVo> selectByDay(List<Long> storeIds, Date startTime, Date endTime);

    PageInfo<RefundOrderList> refundByMemberId(RefundOrderResquest refundOrderResquest);
}
